import http from "@/api";
const BC = `/banner`;
//分页
export const getBannerClassListApi = (params: any) => {
    return http.get<any>(`${BC}/index`, params);
};
//新增
export const getBannerClassListSaveApi = (params: any) => {
    return http.post<any>(`${BC}/save`, params);
};
//更新
export const getBannerClassListUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${BC}/update/${id}`, params);
};
//详情
export const getBannerClassListReadApi = (params: any) => {
    return http.get<any>(`${BC}/read/${params}`);
};
//删除
export const getBannerClassListDelApi = (params: any) => {
    return http.delete<any>(`${BC}/delete/${params}`);
};
